### Hierarchy

- IMustr

### Implemented by

- Mustr

## Index

### Properties

- cwd
- log
- options
- outputPath
- registerPath
- templates
- templatesGlob
- templatesPath

### Methods

- configure
- init
- inject
- load
- register
- render
- transformCase

## Properties

### cwd

cwd: string

- Defined in interfaces.ts:76

### log

log: ILogger

- Defined in interfaces.ts:77

### options

options: IMustrOptions

- Defined in interfaces.ts:83

### outputPath

outputPath: string

- Defined in interfaces.ts:80

### registerPath

registerPath: string

- Defined in interfaces.ts:78

### templates

templates: ITemplates

- Defined in interfaces.ts:82

### templatesGlob

templatesGlob: string[]

- Defined in interfaces.ts:81

### templatesPath

templatesPath: string

- Defined in interfaces.ts:79

## Methods

### configure

- configure(name: string, metadata?: IMetadata): ITemplate
- configure(name: string, output?: string | IMetadata, metadata?: IMetadata): ITemplate

- - Defined in interfaces.ts:89

  #### Parameters

  - ##### name: string

  - ##### Optional metadata: IMetadata

  #### Returns ITemplate

- - Defined in interfaces.ts:90

  #### Parameters

  - ##### name: string

  - ##### Optional output: string | IMetadata

  - ##### Optional metadata: IMetadata

  #### Returns ITemplate

### init

- init(force?: boolean): void

- - Defined in interfaces.ts:85

  #### Parameters

  - ##### Optional force: boolean

  #### Returns void

### inject

- inject(options: IInject, done?: NodeCallback): void
- inject(filename: string | IInject, find: string | RegExp | NodeCallback, insert: string | string[], strategy: "before" | "after" | "first" | "last" | "replace", done?: NodeCallback): void

- - Defined in interfaces.ts:94

  #### Parameters

  - ##### options: IInject

  - ##### Optional done: NodeCallback

  #### Returns void

- - Defined in interfaces.ts:95

  #### Parameters

  - ##### filename: string | IInject

  - ##### find: string | RegExp | NodeCallback

  - ##### insert: string | string[]

  - ##### strategy: "before" | "after" | "first" | "last" | "replace"

  - ##### Optional done: NodeCallback

  #### Returns void

### load

- load(): IMustr

- - Defined in interfaces.ts:86

  #### Returns IMustr

### register

- register(options: IRegisterOptions): IRegister
- register(name: string | IRegisterOptions, template?: string): IRegister

- - Defined in interfaces.ts:87

  #### Parameters

  - ##### options: IRegisterOptions

  #### Returns IRegister

- - Defined in interfaces.ts:88

  #### Parameters

  - ##### name: string | IRegisterOptions

  - ##### Optional template: string

  #### Returns IRegister

### render

- render(template: ITemplate, done?: NodeCallback): void
- render(template: ITemplate, metadata?: IMetadata, done?: NodeCallback): void
- render(name: string | ITemplate, output?: string | IMetadata | NodeCallback, metadata?: IMetadata | NodeCallback, done?: NodeCallback): void

- - Defined in interfaces.ts:91

  #### Parameters

  - ##### template: ITemplate

  - ##### Optional done: NodeCallback

  #### Returns void

- - Defined in interfaces.ts:92

  #### Parameters

  - ##### template: ITemplate

  - ##### Optional metadata: IMetadata

  - ##### Optional done: NodeCallback

  #### Returns void

- - Defined in interfaces.ts:93

  #### Parameters

  - ##### name: string | ITemplate

  - ##### Optional output: string | IMetadata | NodeCallback

  - ##### Optional metadata: IMetadata | NodeCallback

  - ##### Optional done: NodeCallback

  #### Returns void

### transformCase

- transformCase(str: string, to: string): string

- - Defined in interfaces.ts:100

  #### Parameters

  - ##### str: string

  - ##### to: string

  #### Returns string

Generated using TypeDoc